Subject: Re: [6lo] New I-D draft-delcarpio-6lo-wlanah-00.txt - HC

From: Ines Robles <[email-masked]>
Date: Thu, 18 Jun 2015 13:43:50 +0300

Hi Alex,

Thank you for your feedback, please find answer below in [IR]

On 06/18/2015 12:26 PM, [email-masked] wrote:
>
> Ok, let me summarize  instead of turning in circles:
>
> I would like to request a modification of that Internet Draft - please 
> add a statement saying that the IPv6 Base Header is mandatory, in 
> clear, in network byte order.
>
[IR] IPv6 is part of the stack proposed, sorry I do not understand your 
point. Could you please clarify it. Thanks!

>
>
> ROHC (RObust Header Compression RFC6846) is not applied to IP layer, 
> as far as I know, but to upper layers.  Despite being touted decades 
> ago as absolutely necessary for WiFi and cellular, what we use today 
> on these links is pure IP.
[IR]RFC 3843 defines ROHC for IP and an implementation can be found here 
http://www.acticom.de/robust-header-compression-2/

Thanks,

Ines.

---

From: Ines Robles <[email-masked]>
Date: Thu, 18 Jun 2015 14:32:18 +0300

Hi Alex,

I realized that you meant ROHC-TCP
I found this implementation 
http://www.effnet.com/pages/uk/products_rohc_tcp.php, in the web page 
states:
" Profiles: 0x0006 (ROHC-TCP) is supported." -> defined in IANA in 6846

Thanks,

Ines

On 06/18/2015 01:43 PM, Ines Robles wrote:
>> I would like to request a modification of that Internet Draft - 
>> please add a statement saying that the IPv6 Base Header is mandatory, 
>> in clear, in network byte order.
>>
> [IR] IPv6 is part of the stack proposed, sorry I do not understand 
> your point. Could you please clarify it. Thanks!
>
>>
>>
> [IR]RFC 3843 defines ROHC for IP and an implementation can be found 
> here http://www.acticom.de/robust-header-compression-2/
>
>
> Thanks,
>
> Ines.
>
>>
>

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 18 Jun 2015 13:42:33 +0200

Hi Ines,

> " Profiles: 0x0006 (ROHC-TCP) is supported." -> defined in IANA in 6846

Ok.  I meant to say that ROHC is dealing with the TCP header.  I do not 
mind that.

I mind if header compression touches the IP header.

For information only, I wonder where is ROHC used in implementations in 
products.  A ROHC option in the linux kernel, or a ROHC wireshark 
dissectors are good indicators of its use.

Alex

> _______________________________________________
> 6lo mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6lo
>

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 18 Jun 2015 14:09:39 +0200

Hi Ines

Le 18/06/2015 12:43, Ines Robles a écrit :
>> please add a statement saying that the IPv6 Base Header is
>> mandatory, in clear, in network byte order.
>>

Stacks exhibit layers, not headers.  I am talking headers.

I think you refer to the stack in figure 6, right?

>                               +---------------------+
>                               |    Upper Layers     |
>                               +---------------------+
>                               |       IPv6          |
>                               +---------------------+
>                               |      6LoWPAN        |
>                               +---------------------+
>                               |      802 LLC        |
>                               +---------------------+
>                               | MAC Layer(802.11ah) |
>                               +---------------------+
>                               | PHY Layer(802.11ah) |
>                               +---------------------+

Does that stack correspond to a packet like this(?):

  +--------------------+------------+-------------+------------+-------+
  | 802.11 Data Header | LLC Header | 6lowpan IPHC|IPv6 Header |Payload|
  +--------------------+------------+-------------+------------+-------+

Yes?

>> ROHC (RObust Header Compression RFC6846) is not applied to IP
>> layer, as far as I know, but to upper layers.  Despite being touted
>> decades ago as absolutely necessary for WiFi and cellular, what we
>> use today on these links is pure IP.
>
> [IR]RFC 3843 defines ROHC for IP

RFC3483 "Framework for Policy Usage Feedback for COPS Policy
Provisioning" can not have much to do about compressing IPv6 Base Header.

Or do you think otherwise?

>> and an implementation can be found here

Thanks for pointing at it.

That implementation asks for money and I dont have money for it.  So I 
cant look at it.

On another hand, the page seems to be describing the use of ROHC of many
headers ("IPv6" is cited, although not "IPv6 Base HEader") on LTE or 
satellite links.

Running IPv6 over LTE does not require any money - it's open source IPv6
stack on off-the-shelf hardware.  I dont know whether some form of
Header Compression is involved below IP (may or may not).  But I know 
IPv6 runs ok on LTE without any modifications - precisely as it runs on 
Ethernet.

A specification of IPv6 over LTE can not _require_ Header Compression -
it simply does not care whether or not HC is present below it.

Whether LTE link layer uses forms of Header Compression it is not of 
interest to IP.  IP runs over it without caring there is HC or not. 
IPv6-over-LTE can not REQUIRE HC.

For satellite links - I dont know.

> Especially in wireless networks with high error probabilities and
> scarce resources, RoHC and RoHCv2 are the best choice to compress the
> overhead of IP, IPv6, UDP or RTP data.

I wonder what do they mean by the "overhead of IPv6".

Alex

>
>
> Thanks,
>
> Ines.
>
>>
>
>
>
> _______________________________________________ 6lo mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/6lo
>